Home Forum Statistica con R Instalalre pacchetto Irr

Tag: 

Questo argomento contiene 8 risposte, ha 2 partecipanti, ed è stato aggiornato da  enrico.angioni 1 anno, 3 mesi fa.

Stai vedendo 9 articoli - dal 1 a 9 (di 9 totali)
  • Autore
    Articoli
  • #5109

    enrico.angioni
    Partecipante

    Ciao a tutti,

    Vi scrivo perchè ho un problema con l’installazione di un nuovo pacchetto su R. Premetto che utilizzo Rstudio come interfaccia. Ho la necessità di calcolare l’inter-rater agreement per un dataset con diverse variabili e osservazioni. Ho cercato tramite Google una via per capire come fare e ho trovato diversi spunti che mi indicavano il pacchetto irr. Seguendo le indicazioni ho cercato il pacchetto con Rstudio, trovato e installato. Una volta fatto questo, immagino che debba richiamare la libreria per poter utilizzare il tutto ma non riesco a trovare nell’elenco sia irr che LpSolve (come consigliano alcuni). Di conseguenza non posso portare avanti l’analisi dei dati. Qualcuno ha avuto modo di interfacciarsi con una situazione simile? Grazie per l’attenzione.

    Enrico

    #5111
    Davide Massidda
    Davide Massidda
    Moderatore

    Ciao, hai provato con questi comandi?

    require(irr)
    require(LpSolve)
    #5112

    enrico.angioni
    Partecipante

    Grazie per la pronta risposta. Non funziona purtroppo. I passaggi relativi all’installazione sono corretti ma mi segnala degli errori che attualmente non saprei risolvere. Può capitare di avere queste difficoltà in funzione del sistema operativo usato o è una considerazione irrilevante?

    #5113

    enrico.angioni
    Partecipante

    Ho provato con un altro pacchetto e funziona perfettamente. Alla fine è con irr che emergono il problemi.

    #5114
    Davide Massidda
    Davide Massidda
    Moderatore

    A volte dipende dal sistema operativo, a volte dalla compatibilità della versione di R con il pacchetto, altre volte addirittura da RStudio: non di rado, mi capita che l’installazione non vada a buon fine da RStudio, ma che vada liscia da terminale classico.

    Potresti riportare gli errori che ti vengono fuori?

    #5118

    enrico.angioni
    Partecipante

    Si certo:

    > install.packages(“irr”)
    also installing the dependency ‘lpSolve’

    trying URL ‘https://cran.rstudio.com/src/contrib/lpSolve_5.6.13.tar.gz’
    Content type ‘application/x-gzip’ length 466230 bytes (455 KB)
    ==================================================
    downloaded 455 KB

    trying URL ‘https://cran.rstudio.com/src/contrib/irr_0.84.tar.gz’
    Content type ‘application/x-gzip’ length 28005 bytes (27 KB)
    ==================================================
    downloaded 27 KB

    * installing *source* package ‘lpSolve’ …
    ** package ‘lpSolve’ successfully unpacked and MD5 sums checked
    ** libs
    x86_64-apple-darwin13.4.0-clang -I/Users/enricoangioni/anaconda3/lib/R/include -DNDEBUG -I . -DINTEGERTIME -DPARSER_LP -DBUILDING_FOR_R -DYY_NEVER_INTERACTIVE -DUSRDLL -DCLOCKTIME -DRoleIsExternalInvEngine -DINVERSE_ACTIVE=INVERSE_LUSOL -DINLINE=static -DParanoia -D_FORTIFY_SOURCE=2 -mmacosx-version-min=10.9 -I/Users/enricoangioni/anaconda3/include -fPIC -march=core2 -mtune=haswell -mssse3 -ftree-vectorize -fPIC -fPIE -fstack-protector-strong -O2 -pipe -I/Users/enricoangioni/anaconda3/include -c colamd.c -o colamd.o
    make: x86_64-apple-darwin13.4.0-clang: No such file or directory
    make: *** [colamd.o] Error 1
    ERROR: compilation failed for package ‘lpSolve’
    * removing ‘/Users/enricoangioni/anaconda3/lib/R/library/lpSolve’
    Warning in install.packages :
    installation of package ‘lpSolve’ had non-zero exit status
    ERROR: dependency ‘lpSolve’ is not available for package ‘irr’
    * removing ‘/Users/enricoangioni/anaconda3/lib/R/library/irr’
    Warning in install.packages :
    installation of package ‘irr’ had non-zero exit status

    The downloaded source packages are in
    ‘/private/var/folders/ww/1bqphy1171scqdn1jg3szc600000gn/T/RtmpddJbCv/downloaded_packages’
    Updating HTML index of packages in ‘.Library’
    Making ‘packages.html’ … done
    > library(irr) #richiamo la libreria che, come ho detto, non trovo in elenco
    Error in library(irr) : there is no package called ‘irr’

    #5119
    Davide Massidda
    Davide Massidda
    Moderatore

    Bene, fra le altre cose, l’errore riporta una nota molto eloquente:
    ERROR: dependency ‘lpSolve’ is not available for package ‘irr’
    Il problema non è irr, ma la sua dipendenza lpSolve. Quindi, prima di tutto concentrati sull’installazione di lpSolve!

    #5120

    enrico.angioni
    Partecipante

    Perfetto. Grazie Davide, mi concentro prima su lpSolve allora. Spero di risolvere senza problemi. Grazie ancora per l’aiuto!

    #5164

    enrico.angioni
    Partecipante

    Ciao Davide, mi sono dimenticato di aggiornarti. Ho fatto tutto senza usare Rstudio, utilizzando R. Trovati i pacchetti, caricati e utilizzati per analizzare l’indice statistico. Grazie ancora per l’aiuto.

    Enrico

Stai vedendo 9 articoli - dal 1 a 9 (di 9 totali)

Devi essere loggato per rispondere a questa discussione.